Update Team
PUT
/api/v1/org/{orgId}/team/{teamId} Update Team
Update this organization team info.
Request to update an existing StackHawk Team.
| Parameter | Default | Description |
|---|---|---|
| teamId | "" | The UUID identifier of this tea,. |
| name | "" | updated name for this team. |
| applicationIds | [] | updated applicationIds for this team. |
| userIds | [] | updated member ids for this team. |
| organizationId | "" | The UUID identifier of this organization. |
🧾 Audited This is recorded as
TEAM_UPDATEDUser Activity.
Requires
write:teampermission.
Path parameters
orgIdstring · uuidrequiredUUID identifier for this StackHawk Organization.
teamIdstring · uuidrequiredUUID identifier for this StackHawk Team.
Body
applicationIds
string[]updated applicationIds for this team.
name
string
required
updated name for this team.
organizationId
string
read-only
The UUID identifier of this organization.
teamId
string
read-only
The UUID identifier of this tea,.
userIds
string[]updated member ids for this team.
Response
OK
team
organization.Teamteam
organization.TeamBad Request
Unauthorized